# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1148+1.1069.1.223 -> 1.1149 
#	 arch/i386/config.in	1.43.1.7 -> 1.51   
#	include/linux/pci_ids.h	1.44.1.38 -> 1.75   
#	 drivers/pci/pci.ids	1.44.1.6 -> 1.50   
#	        fs/Config.in	1.20.1.9 -> 1.32   
#	Documentation/Configure.help	1.162.1.64 -> 1.200  
#	 arch/ia64/config.in	1.13.7.4 -> 1.37   
#
diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Thu Jan 29 16:07:36 2004
+++ b/Documentation/Configure.help	Thu Jan 29 16:07:36 2004
@@ -18523,6 +18523,11 @@
   purpose port, say Y here. See
   <http://www.dig64.org/specifications/DIG64_HCDPv10a_01.pdf>.
 
+Support for serial ports defined in ACPI namespace
+CONFIG_SERIAL_ACPI
+  If you wish to enable serial port discovery via the ACPI
+  namespace, say Y here.  If unsure, say N.
+
 Support for PowerMac serial ports
 CONFIG_MAC_SERIAL
   If you have Macintosh style serial ports (8 pin mini-DIN), say Y
diff -Nru a/fs/Config.in b/fs/Config.in
--- a/fs/Config.in	Thu Jan 29 16:07:36 2004
+++ b/fs/Config.in	Thu Jan 29 16:07:36 2004
@@ -54,6 +54,13 @@
 bool 'Virtual memory file system support (former shm fs)' CONFIG_TMPFS
 define_bool CONFIG_RAMFS y
 
+bool 'HugeTLB file system support' CONFIG_HUGETLBFS
+if [ "$CONFIG_HUGETLBFS" = "y" ] ; then
+	define_bool CONFIG_HUGETLB_PAGE y
+else
+	define_bool CONFIG_HUGETLB_PAGE n
+fi
+
 tristate 'ISO 9660 CDROM file system support' CONFIG_ISO9660_FS
 dep_mbool '  Microsoft Joliet CDROM extensions' CONFIG_JOLIET $CONFIG_ISO9660_FS
 dep_mbool '  Transparent decompression extension' CONFIG_ZISOFS $CONFIG_ISO9660_FS
@@ -72,13 +79,17 @@
 
 bool '/proc file system support' CONFIG_PROC_FS
 
-# For some reason devfs corrupts memory badly on x86-64. Disable it 
-# for now.
-if [ "$CONFIG_X86_64" != "y" ] ; then
-dep_bool '/dev file system support (EXPERIMENTAL)' CONFIG_DEVFS_FS $CONFIG_EXPERIMENTAL
+if [ "$CONFIG_IA64_SGI_SN2" = "y" ] ; then
+   define_bool CONFIG_DEVFS_FS y
+else
+   # For some reason devfs corrupts memory badly on x86-64. Disable it
+   # for now.
+   if [ "$CONFIG_X86_64" != "y" ] ; then
+      dep_bool '/dev file system support (EXPERIMENTAL)' CONFIG_DEVFS_FS $CONFIG_EXPERIMENTAL
+   fi
+fi
 dep_bool '  Automatically mount at boot' CONFIG_DEVFS_MOUNT $CONFIG_DEVFS_FS
 dep_bool '  Debug devfs' CONFIG_DEVFS_DEBUG $CONFIG_DEVFS_FS
-fi
 
 # It compiles as a module for testing only.  It should not be used
 # as a module in general.  If we make this "tristate", a bunch of people
